<template>
  <view class="list-container markup-config">
    <view class="search-container m-t-12 flex">
      <view class="flex1 input">
        <u--input placeholder="请输入商品名称" v-model="query.name">
        </u--input>
      </view>
      <view class="button" @click="refreshList">搜索</view>
    </view>
    <view class="m-t-12">
      {{ !query.time && '请选择时间' || (query.time) }}
    </view>


    <view class="p15" style="min-height: calc(100vh - 160rpx);">
      <no-data v-if="!list||list.length==0" style="width: 100%;"></no-data>
      <view v-for="(item,index) in list" :key="index" class="m-b-24 markup-config-list list-container">
        <view class="markup-config-item list-item">
          <view class="title">
            商品名称：{{ item.name || '-' }}
          </view>
          <u-divider></u-divider>
          <view class="form">
            <view class="form-item">
              <view class="form-item-label">分类</view>
              <view class="form-item-value">{{ item.categoryStr || '-' }}</view>
            </view>
            <view class="form-item">
              <view class="form-item-label">规格</view>
              <view class="form-item-value">{{ item.unit || '-' }}</view>
            </view>
            <view class="form-item">
              <view class="form-item-label">规格</view>
              <view class="form-item-value">{{ item.unit || '-' }}</view>
            </view>
            <view class="form-item">
              <view class="form-item-label">重量</view>
              <view class="form-item-value">{{ item.weight || '-' }}</view>
            </view>
            <view class="form-item">
              <view class="form-item-label">颜色</view>
              <view class="form-item-value">{{ item.color || '-' }}</view>
            </view>
            <view class="form-item">
              <view class="form-item-label">级别</view>
              <view class="form-item-value">{{ item.levelStr || '-' }}</view>
            </view>
            <view class="form-item">
              <view class="form-item-label">供应商价格</view>
              <view class="form-item-value">￥{{ item.price || '-' }}</view>
            </view>
            <view class="form-item">
              <view class="form-item-label">加价金额</view>
              <view class="form-item-value">{{ item.fee || '-' }}</view>
            </view>
            <view class="form-item">
              <view class="form-item-label">审核时间</view>
              <view class="form-item-value">{{ item.auditTime || '-' }}</view>
            </view>
            <view class="form-item">
              <view class="form-item-label">供应商名称</view>
              <view class="form-item-value">{{ item.supplierName || '-' }}</view>
            </view>
          </view>
        </view>
      </view>
    </view>

    <!-- 判断是否到底了，自动吧 -->
    <footer-msg :more="page.total>0&&page.total>page.current*page.size"></footer-msg>
    <u-datetime-picker :show="show_time_picker_time" @cancel="show_time_picker_time=false"
                       @confirm="select_time_picker_time" v-model="tmp_picker_time" mode="time"></u-datetime-picker>

  </view>
</template>

<script>
export default {
  data() {
    return {
      tabIndex: 0,
      query: {
        name: '',
        time: '',
      },
      show_time_picker_time: false,
      tmp_picker_time: new Date(),

    }
  },
  onLoad() {
    this.listApi = '/api/flower/markup/sp/list'
    this.getList()

  },
  onReachBottom() {
    this.page.current += 1
    this.getMore()
  },
  async onPullDownRefresh() {
    this.page.current = 1
    await this.getList()
    uni.stopPullDownRefresh()
  },
  methods: {
    async select_time_picker_time(e) {
      var vv = e.value
      if (vv) {
        vv = vv.replace('aN:', '00:')
      }
      var time = new Date(`2023-8-21 ${vv}:00`)
      this.show_time_picker_time = false
      this.query.time = this.$util.toDateMinOnly(time)
    },
    toDetail(item) {
      // uni.navigateTo({
      // 	url: `/pages/notice/notice?id=${item.id}`
      // })
    }
  }
}
</script>

<style lang="scss" scope>
.list-container.markup-config {
  .search-container {
    display: flex;
    margin: 24rpx 30rpx 20rpx 30rpx;

    .input {
      // flex: 1;
      // max-width: 400rpx;
      background-color: #fff !important;
      // line-height: 58rpx;
      // height: 58rpx;
    }

    .button {
      min-width: 120rpx;
      max-width: 120rpx;
      margin-left: auto;
      margin-right: 0rpx;
      text-align: right;
      line-height: 70rpx !important;
      // height: 58rpx !important;
      // display: flex;
    }
  }

  .markup-config-list {
    .markup-config-item {
      margin-bottom: 20rpx;
      padding: 28rpx;
      background: #FFFFFF;
      border-radius: 8rpx;

      .title {
        font-weight: 600;
        font-size: 28rpx;
        color: #000000;
        line-height: 40rpx;

        .status {
          font-weight: 400;
          font-size: 28rpx;
          color: #20613D;
          line-height: 40rpx;
        }

        .status.red {
          color: #CF0000;
        }

        .status.green {
          color: var(--topiccolor);
        }
      }

      .line {
        height: 2rpx solid #EEEEEE;
        margin-top: 16rpx;
        margin-bottom: 16rpx;
      }

      .tj {
        .label {
          font-weight: 600;
          font-size: 28rpx;
          color: #000000;
          line-height: 40rpx;
        }

        .value {
          font-weight: 400;
          font-size: 28rpx;
          color: #CF0000;
          line-height: 40rpx;
        }
      }

      .form {
        display: flex;
        flex-wrap: wrap;

        .form-item {
          height: 40rpx;
          line-height: 40rpx;
          // padding-top: 4rpx;
          padding-bottom: 0rpx;
          border-bottom: none;
          min-width: 35%;
          max-width: 50%;
          flex: 1;

          .form-item-label {
          }

          .form-item-value {
          }
        }

      }
    }

  }
}
</style>